Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.sld
Interface Fill

    @XmlElement(value="Fill")
    public interface Fill

Indicates how the interior of polygons will be filled.

Since:
  GeoAPI 2.0
Version:
  Implementation specification 1.0

Method Summary
`Expression` | `getColor()` Indicates the color to be used for solid-filling the interior of polygons.
`Graphic` | `getGraphicFill()` If this object is to be filled with tiled copies of an image, then returns a non-null Graphic that indicates what image should be drawn.
`Expression` | `getOpacity()` Indicates the opacity of the fill.
`void` | `setColor(Expression expression)` Sets the color to be used for solid-filling the interior of polygons.
`void` | `setGraphicFill(Graphic graphicFill)` Sets the graphic that will be used to tile the interior of polygons.
`void` | `setOpacity(Expression expression)` Sets the opacity of the fill.

Method Detail

### getGraphicFill

    @XmlElement(value="GraphicFill")
    Graphic getGraphicFill()

  If this object is to be filled with tiled copies of an image, then returns a non-null Graphic that indicates what image should be drawn.

### setGraphicFill

    @XmlElement(value="GraphicFill")
    void setGraphicFill(Graphic graphicFill)

  Sets the graphic that will be used to tile the interior of polygons. This can be set to null if solid color fill is desired. See `getGraphicFill()` for details.

### getColor

    Expression getColor()

  Indicates the color to be used for solid-filling the interior of polygons. The format of the color is `"#rrggbb"` where `rr`, `gg`, and `bb` are two digit hexadecimal integers specify the red, green, and blue color intensities, repsectively. If null, the default color is 50% gray, `"#808080"`.

### setColor

    void setColor(Expression expression)

  Sets the color to be used for solid-filling the interior of polygons. See `getColor()` for details.

### getOpacity

    Expression getOpacity()

  Indicates the opacity of the fill. This value must be a floating point number ranging from 0.0 to 1.0, where 0.0 means completely transparent and 1.0 means completely opaque. If null, the default value is 1.0, completely opaque.

### setOpacity

    void setOpacity(Expression expression)

  Sets the opacity of the fill. This value must be a floating point number ranging from 0.0 to 1.0, where 0.0 means completely transparent and 1.0 means completely opaque. If null, the default value is 1.0, completely opaque. See `getOpacity()` for details.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.